.Teachers {
    &-content {
        width: ~'calc(100% - 160px)';

        @media @desktop-mini {
            width: ~'calc(100% - 80px)';
        }

        @media @tablet {
            width: ~'calc(100% - 40px)';
        }

        @media @mobile {
            width: ~'calc(100% - 40px)';
            padding: 0 0 20px;
        }
    }

    &-desc {
        text-align: center;
        margin-bottom: 60px;

        @media @mobile {
            font-size: 16px;
            margin-bottom: 20px;
            text-align: left;
        }
    }

    &-table {
        @media @mobile {
            width: ~'calc(100% + 40px)';
            margin-left: -20px;
        }
    }

    &-tableInner {
        display: flex;
        justify-content: space-between;
        padding-bottom: 20px;

        @media @mobile {
            overflow-x: scroll;
            -webkit-overflow-scrolling: touch;
        }
    }

    &-column {
        width: ~'calc((100% - 160px)/4)';

        @media @desktop-mini {
            width: ~'calc((100% - 100px)/4)';
        }

        @media @tablet {
            width: ~'calc((100% - 60px)/4)';
        }

        @media @mobile {
            width: 50vw;
            min-width: 50vw;
            margin-right: 20px;

            &:first-child {
                margin-left: 20px;
            }

            &:last-child {
                //width: ~'calc(50vw + 20px)';
                //padding-right: 20px;
            }
        }
    }

    &-img {
        padding-bottom: 100%;
        background-size: cover;
        background-position: center;

        &.isSergey {
            background-size: 195%;
            background-position: 45% 0;
        }

        &.isAlex {
            background-size: 115%;
            background-position: 0 100%;
        }

        &.isDan {
            background-size: 195%;
            background-position: 48% 60%;
        }

        &.isPa7lux {
            background-size: 110%;
            background-position: 100% 65%;
        }
    }

    &-info {
        position: relative;
        padding-left: 40px;
        margin-top: 20px;

        @media @mobile {
            padding-left: 0;
            margin-top: 10px;
        }
    }

    &-spec {
        font-size: 20px;
        line-height: 20px;
        letter-spacing: .04px;
        position: absolute;
        transform: rotate(-90deg) translate3d(-100%, 0, 0);
        font-style: italic;
        transform-origin: left top;
        top: 15px;
        left: 0;
        white-space: nowrap;

        @media @mobile {
            display: block;
            font-size: 14px;
            position: relative;
            transform: none;
            top: 0;
            margin-bottom: 10px;
        }
    }

    &-name {
        font-size: 28px;
        line-height: 40px;
        letter-spacing: .24px;
        text-transform: uppercase;
        font-weight: 400;
        padding-right: 50px;
        margin-bottom: 20px;

        @media @desktop-mini, @tablet {
            font-size: 20px;
            line-height: 30px;
            letter-spacing: .14px;
        }

        @media @mobile {
            font-size: 20px;
            line-height: 30px;
            letter-spacing: .04px;
            padding-right: 50px;
        }
    }

    &-point {
        font-size: 16px;
        padding-left: 20px;
        line-height: 20px;
        letter-spacing: .04px;
        position: relative;
        margin-bottom: 10px;

        &:last-child {
            margin-bottom: 0;
        }

        &:before {
            content: '';
            width: 10px;
            height: 10px;
            border-radius: 50%;
            background: #000;
            position: absolute;
            left: 0;
            top: 7px;

            @media @mobile {
                width: 5px;
                height: 5px;
            }
        }

        @media @mobile {
            font-size: 14px;
            padding-left: 10px;
        }
    }

    &-facebook {
        font-size: 14px;
        padding: 5px 10px;
        border: 1px solid #000;
        //margin-left: -40px;
        line-height: 20px;
        letter-spacing: .04px;
        position: relative;
        margin-bottom: 0;
        display: inline-block;
        transition: padding .3s ease;

        @media @mobile {
            font-size: 14px;
            //padding-left: 10px;
        }

        &:hover {
            padding: 5px 20px;
        }
    }
}